html {
   box-sizing: border-box;
    font-size: 62.5%;
    min-height: 100%;
    position: relative;
}

*, *:before, *:after{
    box-sizing: inherit
}

*{
    margin: 0;
    padding: 0;
}

body{
    font-size: 1.6rem;
    height: 100%;
    font-family: "Roboto", sans-serif;
    color: #4f4f4f;
    background-color: #f9f8f6;
}

@font-face {
  font-family: 'Nashville';
  src: url('../fonts/NASHVILL.TTF') format('truetype');
  font-weight: normal;
  font-style: normal;
}

/*************** VARIABLES ***************/
:root {
    --primary-color: #c8a97e;
    --secondary-color: #4f4f4f;
    --background-color: #f9f8f6;
    --text-color: #333;
    --link-color: #c8a97e;
    --hover-color: rgba(200, 169, 126, 0.8);
    --blanco: #fff;
    --negro: rgba(0, 0, 0, 0.6);
    --colorWhatsapp: #25d366;
    --colorMessenger: #00b2ff;
    --colorPhone: #c8a97e;
    --funteTitulos: 'Nashville', serif;
}




/*************** ESTILOS GENERALES ***************/

body {
    font-family: "Roboto", sans-serif;
    color: var(--secondary-color);
    background-color: var(--background-color);
}

img {
    max-width: 100%;
    height: auto;
}

a{
    text-decoration: none;
    color: unset;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Playfair Display", serif;
    color: var(--text-color);
}

.menu-content h5{
    margin: 0 !important;
    padding: 0;
}

.section-title {
    text-align: center;
    padding-bottom: 30px;
}

.section-title h2 {
    font-size: 32px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 20px;
    padding-bottom: 20px;
    position: relative;
}

.section-title h2::after {
    content: "";
    position: absolute;
    display: block;
    width: 50px;
    height: 3px;
    background: #c8a97e;
    bottom: 0;
    left: calc(50% - 25px);
}

ul {
    list-style: none;
    padding: 0;
}

/*--------------------------------------------------------------
# Header y Navegación
--------------------------------------------------------------*/
.navbar {
    /* background-color: rgba(0, 0, 0, 0.8) !important; */
    background-color:var(--link-color) !important;
    transition: background-color 0.3s;
}

.navbar-brand {

    font-family: var(--funteTitulos);
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-size: 2.5rem;
    color: var(--blanco) !important;
}

.navbar-brand span {
    color: var(--negro);
}

.nav-link {
    color: var(--blanco) !important;
    margin: 0 10px;
    text-transform: uppercase;
}

.nav-link:hover,
.nav-link.active {
    color: var(--negro) !important;
}

/*--------------------------------------------------------------
# Hero Section
--------------------------------------------------------------*/

.hero {
    position: relative; /* para que el video se posicione dentro */
    height: 100vh;
    overflow: hidden; /* evita que sobresalga */
    color: var(--blanco);
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.video-fondo {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1; /* queda detrás del contenido */
}

.hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--negro);
}

.hero-content {
    position: relative;
    z-index: 2;
}

.hero h1 {
    font-size: 7rem;
    color: var(--blanco);
    font-family: var(--funteTitulos);
    letter-spacing: 1rem;
    font-weight: bold;
}

.hero h1 span {
    color: var(--link-color);
}

.hero p {
    font-size: 2rem;
    margin-bottom: 30px;
}

.btn-main {
    background-color: var(--primary-color);
    border: 2px solid var(--primary-color);
    color: var(--blanco);
    padding: 12px 30px;
    border-radius: 50px;
    text-transform: uppercase;
    font-weight: 500;
    transition: 0.3s;
    font-size: 1.6rem;
}

.btn-main:hover {
    background-color: transparent;
    color: #c8a97e;
}

/*--------------------------------------------------------------
# Secciones
--------------------------------------------------------------*/
section {
    padding: 80px 0;
    overflow: hidden;
}

/* Producto Destacado */
.producto-destacado img {
    border-radius: 8px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    background-color: var(--secondary-color);
    width: 53rem;
    transition: ease-in-out 0.3s;
}

.producto-destacado img:hover {
    transform: scale(1.2);
    transition: transform 0.3s;
}

.producto-destacado h3 {
    font-size: 2.5rem;
    margin-bottom: 1rem;
}
/* Anuncios Especiales */

.anuncio-especial-container .video-container{
    position: relative;
    background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7));
    z-index: 0.9;
    
}

.anuncio-especial {
    /* background:
        linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
        url("https://images.unsplash.com/photo-1519741497674-611481863552?q=80&w=2070&auto=format&fit=crop")
            center center; */
    background-size: cover;
    color: var(--blanco);
    padding: 80px 0;
    border-radius: 15px;
    
}
.anuncio-especial h3 {
    color: var(--blanco);
    font-size: 3rem;
}
.anuncio-especial p {
    width: 80%;
    margin: 0 auto;
    font-size: 1.6rem;
}
.anuncio-especial .countdown {
    font-size: 2rem;
    font-weight: bold;
    color: var(--link-color);
}

/* Promociones */

/* .promociones{
    width: 50%;
    margin: 0 auto;
} */

/* .carousel-item{
    width: 100%;
    height: 50vh;
} */


.carousel-inner,
.carousel-item {
    height: 700px;
    min-height: 700px;
    max-height: 700px;
}

.imgSlider{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.promo-card {
    border: none;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 5px 20px var(--negro);
    transition: transform 0.3s;
}
.promo-card:hover {
    transform: translateY(-10px);
}
.promo-card .badge {
    position: absolute;
    top: 15px;
    left: 15px;
    font-size: 1rem;
    padding: 8px 12px;
    background-color: var(--primary-color) !important;
}

/* Comentarios */
.testimonial-card {
    background: #fff;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
    height: 100%;
    text-align: center;
    margin: 10px 0; /* Margen vertical */
}

.testimonial-card img {
    width: 90px;
    height: 90px;
    border-radius: 50%;
    margin: 0 auto 15px auto;
}
.testimonial-card .stars {
    color: var(--link-color);
}

.rating{
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
}

.rating input {
  display: none;
}

.rating label{
    color: #ccc;
    font-size: 3.5rem;
    cursor: pointer;
    transition: color 0.2s;
}

.rating label:hover, .rating label:hover ~ label {
    color: var(--link-color);
}

.rating input:checked ~ label {
    color: var(--link-color);
}

.toast-message{
    font-size: 1.3rem !important;
    font-weight: bold;
}

.comentarios-slider {
    position: relative;
    padding: 40px 60px; 
}

.comentarios-slider .swiper-button-next,
.comentarios-slider .swiper-button-prev {
    top: 50%;
    width: 30px !important;
    height: 30px !important;
    border-radius: 50%;
    color: #333;
    transition: all 0.3s ease;
     
}

.comentarios-slider .swiper-button-next:hover,
.comentarios-slider .swiper-button-prev:hover {
    background-color: #fff;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.comentarios-slider .swiper-button-next {
    right: 10px; /* Posición desde el borde derecho */
}

.comentarios-slider .swiper-button-prev {
    left: 10px; /* Posición desde el borde izquierdo */
}

/* Hacer el ícono de la flecha más pequeño */
.comentarios-slider .swiper-button-next:after,
.comentarios-slider .swiper-button-prev:after {
    font-size: 18px !important;
    font-weight: bold;
}

.comentarios-slider .swiper-button-next:hover,
.comentarios-slider .swiper-button-prev:hover {
    background-color: #fff;
    transform: scale(1.1);
}

/* Contacto y Ubicación */
.info-box {
    background: var(--blanco);
    padding: 20px;
    border-radius: 8px;
    text-align: center;
    box-shadow: 0 0 20px var(--negro);
    height: 90%;
}
.info-box i {
    font-size: 3rem;
    color: var(--link-color);
    margin-bottom: 15px;
}

iframe {
    border-radius: 8px;
}




/*************** MENU ***************/
.menu-page-header {
    padding: 300px 0 80px 0;
    background:
        linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
        url("../img/portada_menu2.webp") center center;
    background-size: cover;
    
    text-align: center;
    color: #fff;
}

.menu-page-header h1 {
    color: #fff;
    font-size: 3.5rem;
}

.menu-section {
    padding: 80px 0;
}

.menu-filters {
    text-align: center;
    margin-bottom: 40px;
}

.menu-filters .btn {
    margin: 5px;
    background-color: #fff;
    color: #333;
    border: 1px solid #ddd;
    border-radius: 50px;
    padding: 8px 25px;
    transition: all 0.3s;
}

.menu-filters .btn.active,
.menu-filters .btn:hover {
    background-color: #c8a97e;
    color: #fff;
    border-color: #c8a97e;
}

.menu-item {
    display: flex;
    align-items: center;
    margin-bottom: 30px;
    background: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.05);
    transition: transform 0.3s;
}

.menu-item:hover {
    transform: translateY(-5px);
}

.menu-item img {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    object-fit: cover;
    margin-right: 20px;
    border: 3px solid #c8a97e;
}

.menu-content {
    flex-grow: 1;
}

.menu-content h5 {
    margin-bottom: 5px;
    font-size: 1.2rem;
    font-weight: 500;
}

.menu-content p {
    margin-bottom: 0;
    color: #6c757d;
    font-style: italic;
}

.menu-price {
    font-family: "Playfair Display", serif;
    font-weight: 700;
    color: #c8a97e;
    font-size: 1.3rem;
}

.img-productos:hover {
    scale: 2;
    transition: all 0.3s ease-in-out;
}

.title-menu{
    font-size: 6rem !important;
}

.detalle-plato{
    font-size: 1.1rem;
    font-weight: 700;
    color: var(--link-color);
    margin-top: 0;
}

/*--------------------------------------------------------------
# Botones de Contacto Flotantes
--------------------------------------------------------------*/
.floating-contact {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.floating-contact .btn-social {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    color: var(--blanco);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.8rem;
    text-decoration: none;
    box-shadow: 2px 2px 10px var(--negro);
    transition: transform 0.2s;
}
.floating-contact .btn-social:hover {
    transform: scale(1.1);
}

.btn-whatsapp {
    background-color: var(--colorWhatsapp);
}
.btn-messenger {
    background-color: var(--colorMessenger );
}
.btn-phone {
    background-color: var(--colorPhone);
}

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/
.footer {
    background: var(--colorPhone);
    color: var(--gris);
    padding: 40px 0;
    text-align: center;
}

.footer h3{
    font-family: var(--funteTitulos);
    font-size: 2rem;
    letter-spacing: 1.3px;
}
.footer .social-links a {
    color: var(--blanco);
    margin: 0 10px;
    font-size: 2.5rem;
    transition: color 0.3s;
}
.footer .social-links a:hover {
    color: var(--negro);
}
.footer .copyright {
    margin-top: 20px;
}


/* Ajustes para móviles */
@media (max-width: 768px) {
    .comentarios-slider {
        padding: 40px 20px;
    }
    
    .comentarios-slider .swiper-button-next,
    .comentarios-slider .swiper-button-prev {
        width: 35px;
        height: 35px;
    }
    
    .comentarios-slider .swiper-button-next {
        right: 5px;
    }
    
    .comentarios-slider .swiper-button-prev {
        left: 5px;
    }
}


/***********************************************************

        ************ MEDIAQUERYS **********

************************************************************/   
 @media screen and (max-width: 768px){
     /*  */

    .carousel-inner,
    .carousel-item {
        height: 400px;
        min-height: 400px;
        max-height: 400px;
    }

    .anuncio-especial h3 {
        color: var(--blanco);
        font-size: 2.5rem;
    }
    .anuncio-especial p {
        width: 80%;
        margin: 0 auto;
        font-size: 1.2rem;
    }

    .entradaPrincipal{
        padding: 0 3rem;
    }

    .entradaPrincipal p,ul{
        text-align: justify;
    }
 }